#ifndef _BIL_MAP_H_
#define _BIL_MAP_H_

typedef struct
  {
  BILchar *key;
  BILvoid *value;
  BILsizei size;
  } BILmapItem;

typedef struct
  {
  BILsizei    length;
  BILsizei    capacity;
  BILmapItem *items;
  } BILmap;

BILboolean     bilMapInit(BILmap *map);
BILboolean     bilMapDone(BILmap *map);

BILboolean     bilMapSetValue(BILmap *map, const BILchar *key, const BILvoid *value, BILsizei size);
const BILvoid *bilMapGetValue(const BILmap *map, const BILchar *key);
BILsizei       bilMapGetValueSize(const BILmap *map, const BILchar *key);
BILboolean     bilMapRemoveValue(BILmap *map, const BILchar *key);

BILboolean     bilMapEnumarateKeys(BILmap  *map, BILchar *string, BILsizei stringSize);

#endif /* _BIL_MAP_H_ */

