#ifndef _BILPPM_H_
#define _BILPPM_H_

/* include various sub-include files */
#include <bil/bil.h>

/* begin C function definitions */
#ifdef __cplusplus
extern "C" {
#endif

/* import/export stuff */
#if defined(WIN32)
#  if defined(BILPPM_DLL_EXPORT)
#    define BILPPM_API  __declspec(dllexport)
#  elif defined(BILPPM_DLL_IMPORT)
#    define BILPPM_API  __declspec(dllimport) extern
#  else
#    define BILPPM_API  extern
#  endif
#else
#  define BILPPM_API    extern
#endif

/* version stuff */
#define BILPPM_NAME     "ppm"
#define BILPPM_VERSION  BIL_VERSION_MAKE(1,0,0)

/* function prototypes */
BILPPM_API BILboolean bilPpmRegisterEncoder();
BILPPM_API BILboolean bilPpmUnregisterEncoder();
BILPPM_API BILboolean bilPpmRegisterDecoder();
BILPPM_API BILboolean bilPpmUnregisterDecoder();

/* end C function definitions */
#ifdef __cplusplus
    }
#endif

#endif /* _BILPPM_H_ */